## gtick 0.1.3

=== Makefile ===
VERSION = 0.1.3
CC = gcc
CFLAGS = -O3 -Wall -g -I. `gtk-config --cflags` -DVERSION=\"$(VERSION)\"
LDFLAGS = `gtk-config --libs`
DISTRO = gtick-$(VERSION)
OBJS = main.o dsp.o about.o mixer.o

all: gtick

%.o: %.c gtick.h
	$(CC) -c $(CFLAGS) $<

gtick: $(OBJS)
	$(CC) -o gtick $(OBJS) $(LDFLAGS)

clean:
	rm -f *.o gtick


dist:
	rm -rf $(DISTRO)*
	mkdir $(DISTRO) ;
	cp *.c *.h Makefile README TODO NOTES ChangeLog NEWS ./$(DISTRO) ;
	tar -czf $(DISTRO).tar.gz $(DISTRO) ;
	rm -rf $(DISTRO)

## gtick 0.5.0

=== debian/changelog ===
gtick (0.5.0-1) unstable; urgency=low

  * New upstream release
    - Adds Pulseaudio support (Closes: #566335)

 -- Roland Stigge <stigge@antcom.de>  Sat, 06 Aug 2011 19:21:38 +0200

gtick (0.4.2-3) unstable; urgency=low

  * Included patch to fix FTBFS on !linux-any (Closes: #636813)
  * debian/control: Standards-Version: 3.9.2
  * debian/source/format: 3.0 (quilt)
  * debian/rules: new debhelper dh rules
  * added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Sat, 06 Aug 2011 11:50:04 +0200

gtick (0.4.2-2) unstable; urgency=low

  * Added homepage to debian/control (Closes: #567463)
  * debian/control: Standards-Version: 3.8.4
  * Acknowledge NMU

 -- Roland Stigge <stigge@antcom.de>  Sun, 07 Feb 2010 10:34:14 +0100

gtick (0.4.2-1lenny1) stable-proposed-updates; urgency=low

  * Non-maintainer upload for lenny
  * debian/control: Add dependency to oss-compat (closes: #514655)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Mar 2009 16:14:37 +0100

gtick (0.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Standards-Version: 3.7.3
    - Separate "Homepage:" line
  * debian/copyright:
    - Reference to GPL v3
    - Explicit Copyright notice
  * debian/rules: Added dh_desktop call

 -- Roland Stigge <stigge@antcom.de>  Thu, 22 May 2008 15:07:21 +0200

gtick (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 18 Aug 2007 15:24:49 +0200

gtick (0.4.0-1) unstable; urgency=low

  * New upstream release
  * New upstream license: Added GPLv3 to copyright file, lacking it in
    base-files

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Aug 2007 19:05:05 +0200

gtick (0.3.15-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 05 May 2007 14:14:16 +0200

gtick (0.3.14-2) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Sun, 29 Apr 2007 15:15:53 +0200

gtick (0.3.14-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 29 Apr 2007 14:18:11 +0200

gtick (0.3.13-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 12 Feb 2007 14:58:38 +0100

gtick (0.3.12-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 27 Oct 2006 14:44:47 +0200

gtick (0.3.11-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Sep 2006 23:16:31 +0200

gtick (0.3.10-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Tue, 16 May 2006 11:15:12 -0500

gtick (0.3.9-2) unstable; urgency=low

  * Cleaned up debian/rules
  * Added /usr/share/applications/gtick.desktop

 -- Roland Stigge <stigge@antcom.de>  Tue, 11 Apr 2006 09:28:48 +0200

gtick (0.3.9-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 18 Mar 2006 20:58:15 +0100

gtick (0.3.8-1) unstable; urgency=low

  * New upstream release
    - Includes race condition fix by Tom Hargreaves <hex@freezone.co.uk>
      (Closes: #352526)

 -- Roland Stigge <stigge@antcom.de>  Tue,  7 Mar 2006 09:48:46 +0100

gtick (0.3.7-1) unstable; urgency=low

  * New upstream release
    - Includes FreeBSD_kernel patch by Aurelien Jarno <aurelien@aurel32.net>
      (Closes: #336913)

 -- Roland Stigge <stigge@antcom.de>  Mon, 21 Nov 2005 21:34:07 +0100

gtick (0.3.6-1) unstable; urgency=low

  * New upstream release
    - Includes Czech translation by Jiří Pejchal (Closes: #321182)
  * debian/control: Standards-Version: 3.6.2

 -- Roland Stigge <stigge@antcom.de>  Sat,  6 Aug 2005 19:25:21 +0200

gtick (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Feb 2005 13:24:57 +0100

gtick (0.3.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon,  2 Aug 2004 23:19:01 +0200

gtick (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 28 Jul 2004 14:03:18 +0200

gtick (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Jun 2004 16:28:27 +0200

gtick (0.3.1-1) unstable; urgency=low

  * New upstream release
      - Implements software mixer instead of OSS (Closes: #234339)

 -- Roland Stigge <stigge@antcom.de>  Fri, 30 Apr 2004 18:02:29 +0200

gtick (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 11 Feb 2004 11:58:18 +0100

gtick (0.2.14-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 24 Jan 2004 11:37:32 +0100

gtick (0.2.13-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri,  9 Jan 2004 20:49:29 +0100

gtick (0.2.12-2) unstable; urgency=low

  * debian/README.Debian: Corrected typo

 -- Roland Stigge <stigge@antcom.de>  Fri,  2 Jan 2004 17:46:11 +0100

gtick (0.2.12-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 25 Dec 2003 13:55:58 +0100

gtick (0.2.11-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 Dec 2003 15:27:04 +0100

gtick (0.2.10-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon,  8 Dec 2003 14:34:11 +0100

gtick (0.2.9-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Added --with-sndfile to ./configure options

 -- Roland Stigge <stigge@antcom.de>  Mon,  8 Dec 2003 14:08:09 +0100

gtick (0.2.8-2) unstable; urgency=low

  * Fixed OSS dsp deadlock when no mixer is present (Closes: #222355)
  * Fixed debug output (dsp_init -> dsp_open) (Closes: #222354)

 -- Roland Stigge <stigge@antcom.de>  Sat, 29 Nov 2003 10:47:09 +0100

gtick (0.2.8-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: gtick
Section: sound
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
Standards-Version: 3.9.2
Homepage: http://www.antcom.de/gtick/

Package: gtick
Architecture: any
Depends: ${shlibs:Depends}, oss-compat, ${misc:Depends}
Homepage: http://www.antcom.de/gtick/
Description: Metronome application
 GTick is an acoustical and graphical metronome application (usually used to
 support musicians at practising an instrument). It features a scale from 30 to
 250 beats per minute and 2/4, 3/4, 4/4 and other meters. You need a sound
 device for using it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-sndfile

override_dh_auto_install:
	dh_auto_install
	install -m 0644 src/icon32x32.xpm debian/gtick/usr/share/pixmaps/gtick_32x32.xpm
	install -m 0644 debian/gtick.desktop debian/gtick/usr/share/applications/gtick.desktop

override_dh_auto_test:
	# don't test for now due to #633945

## gtick 0.5.1

=== debian/changelog ===
gtick (0.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 Mar 2012 11:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
+Standards-Version: 3.9.3
 Homepage: http://www.antcom.de/gtick/
 
 Package: gtick

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,5 @@
 	install -m 0644 debian/gtick.desktop debian/gtick/usr/share/applications/gtick.desktop
 
 override_dh_auto_test:
-	# don't test for now due to #633945
+	# Nothing; tests with dmalloc currenly broken: linking threaded
+	# executables with -ldmalloc and -ldmallocth segfault!

## gtick 0.5.2

=== debian/changelog ===
gtick (0.5.2-3) unstable; urgency=low

  * Reupload to unstable

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:49:20 +0200

gtick (0.5.2-2) experimental; urgency=low

  * Add bigger icon for GNOME
  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Mar 2013 15:44:35 +0100

gtick (0.5.2-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Mar 2013 11:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.antcom.de/gtick/
 
 Package: gtick

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh_auto_install
 	install -m 0644 src/icon32x32.xpm debian/gtick/usr/share/pixmaps/gtick_32x32.xpm
 	install -m 0644 debian/gtick.desktop debian/gtick/usr/share/applications/gtick.desktop
+	install -m 0644 src/icon64x64.xpm debian/gtick/usr/share/icons/hicolor/64x64/apps/gtick.xpm
 
 override_dh_auto_test:
 	# Nothing; tests with dmalloc currenly broken: linking threaded

## gtick 0.5.4

=== debian/changelog ===
gtick (0.5.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:04 +0000

gtick (0.5.4-1) unstable; urgency=medium

  * New upstream release
    - Fixes directory location applications (Closes: #754326)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Jul 2014 19:44:00 +0200

gtick (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sun, 22 Jun 2014 16:38:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gtick
 Section: sound
 Priority: extra
-Maintainer: Roland Stigge <stigge@antcom.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.antcom.de/gtick/
 
 Package: gtick

## gtick 0.5.5

=== debian/changelog ===
gtick (0.5.5-2) unstable; urgency=medium

  * QA upload.
  * Use AM_GNU_GETTEXT(external). (Closes: #978346)

 -- Adrian Bunk <bunk@debian.org>  Mon, 25 Jan 2021 00:34:21 +0200

gtick (0.5.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.5.5
    - New version fixes FTBFS with gcc-10. (Closes: #957318)
  * Update AppStream Metadata.
  * Update Standards-Version to 4.5.0
    - Update priority to optional
  * Use debhelper-compat.
    - Update to compat level 13.
  * Fix AppStream metadata location.
  * Orphan the package. (See: #837460)
  * Add Vcs link to salsa.
  * Remove duplicate homepage.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 31 May 2020 16:49:48 +0100

=== debian/control ===
Source: gtick
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libsndfile1-dev, libpulse-dev
Standards-Version: 4.5.0
Homepage: http://www.antcom.de/gtick/
Vcs-Git: https://salsa.debian.org/debian/gtick.git
Vcs-Browser: https://salsa.debian.org/debian/gtick

Package: gtick
Architecture: any
Depends: ${shlibs:Depends}, oss-compat, ${misc:Depends}
Description: Metronome application
 GTick is an acoustical and graphical metronome application (usually used to
 support musicians at practising an instrument). It features a scale from 30 to
 250 beats per minute and 2/4, 3/4, 4/4 and other meters. You need a sound
 device for using it.

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	install -m 0644 src/icon32x32.xpm debian/gtick/usr/share/pixmaps/gtick_32x32.xpm
-	install -m 0644 debian/gtick.desktop debian/gtick/usr/share/applications/gtick.desktop
-	install -m 0644 src/icon64x64.xpm debian/gtick/usr/share/icons/hicolor/64x64/apps/gtick.xpm
 
 override_dh_auto_test:
 	# Nothing; tests with dmalloc currenly broken: linking threaded

=== debian/watch ===
version=3
http://www.antcom.de/gtick/download/ gtick-(.*).tar.gz
